{*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Fakturownia.pl
 *  @copyright 2019 Fakturownia.pl
 *  @license   LICENSE.txt
*}
{* Errors section. Each $err is already an html element. *}
{if $settings['is_submit']}
	{if empty($errors)}
		{html_entity_decode($this->displayConfirmation($this->l('settings_saved'))|escape:'htmlall':'UTF-8')}
	{else}
		{foreach from=$errors item=err}
			{html_entity_decode($err|escape:'htmlall':'UTF-8')}
		{/foreach}
	{/if}
{/if}


{* Debug section *}
{if $debug}
	{include '../debug/debug.tpl' active_multistore=$active_multistore context=$debug_context}
{/if}


{* Module info *}
<h2>
	{$this->displayName|escape:'htmlall':'UTF-8'}
</h2>
<img src='{$module_dir|escape:'htmlall':'UTF-8'}logo.png' style='float:left; margin-right:15px;'>
<p>
	<b>{l s='description_short' mod='fakturownia'}</b><br/><br/>
	{l s='description_long' mod='fakturownia'}
</p>
<p>
	{l s='new_account_info' mod='fakturownia'}
	<a href='{$this->new_account_url|escape:'htmlall':'UTF-8'}' target='_blank'>
		<button>{l s='create_new_account' mod='fakturownia'}</button>
	</a>
</p>
<p>
	<a href='{$this->help_url|escape:'htmlall':'UTF-8'}' target='_blank'>
		<button>{l s='help_url_label' mod='fakturownia'}</button>
	</a>
</p><br>


{* Form *}
{include './_form.tpl' settings=$settings FT=$FT VF=$VF BF=$BF}


{* Extra *}
{if $is_configured}
	{if $debug}
		<br/>
		<fieldset>
			<legend>{l s='various' mod='fakturownia'}</legend>
			<a href='{$module_dir|escape:'htmlall':'UTF-8'}module_controller.php?c=get_csv'>{l s='get_csv_products' mod='fakturownia'}</a>
		</fieldset>
	{/if}
{/if}
