{*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Fakturownia.pl
 *  @copyright 2019 Fakturownia.pl
 *  @license   LICENSE.txt
*}
{if $ps_version >= '1.6'}
<div class="tab-pane " id="fakturownia">
{else}
<br/>
{/if}
<fieldset>
    {* Module info *}
    <legend>
        <img src="{html_entity_decode($module_dir|escape:'htmlall':'UTF-8')}logo.png">
        {l s='integration_with' mod='fakturownia'}
        <a target="_blank" href="{$account_url|escape:'htmlall':'UTF-8'}">{$account_url|escape:'htmlall':'UTF-8'}</a>
    </legend>


    {* Debug section *}
    {if $debug}
        {include '../debug/debug.tpl' active_multistore=$active_multistore context=$debug_context}
    {/if}


    {* Multistore warning *}
    {if $active_multistore}
        {if !$is_same_shop}
            {assign "current_shop_name" $current_shop_data['shop_name']}
            {assign "current_shop_group_name" $current_shop_data['shop_group_name']}
            {assign "order_shop_name" $order_shop_data['shop_name']}
            {assign "order_shop_group_name" $order_shop_data['shop_group_name']}

            <p>
                <strong><span style="color: red">{l s='multistore_is_enabled_warning' mod='fakturownia'}</span></strong><br/>
                {if $current_shop_name && $current_shop_group_name}
                    {l s='currently_chosen_shop_and_group' sprintf=[$current_shop_name, $current_shop_group_name] mod='fakturownia'}
                {elseif $current_shop_group_name}
                    {l s='currently_chosen_group' sprintf=$current_shop_group_name mod='fakturownia'}
                {else}
                    {l s='currently_chosen_all' mod='fakturownia'}
                {/if}
                <br/>
                {if $order_shop_name && $order_shop_group_name}
                    {l s='below_options_are_for_shop_and_group' sprintf=[$order_shop_name, $order_shop_group_name] mod='fakturownia'}
                {elseif $order_shop_group_name}
                    {l s='below_options_are_for_group' sprintf=$order_shop_group_name mod='fakturownia'}
                {else}
                    {l s='below_options_are_for_all' mod='fakturownia'}
                {/if}
            </p>
        {/if}
    {/if}


    {* Error handling *}
    {if $VF}
        {if $this->isOverridingDisabled()}
            {html_entity_decode($this->displayError($this->l('overriding_is_disabled'))|escape:'htmlall':'UTF-8')}
        {/if}
    {/if}
    {if !empty($container->last_error)}
        {html_entity_decode($this->displayError($container->last_error)|escape:'htmlall':'UTF-8')}
    {/if}
    {if $VF && !$invoices_enabled}
        {html_entity_decode($this->displayError($this->l('invoices_are_disabled'))|escape:'htmlall':'UTF-8')}
    {elseif !$container->isConfigured()}
        {html_entity_decode($this->displayError($this->l('empty_configuration_warning'))|escape:'htmlall':'UTF-8')}
    {else}
        {assign "order_url" "index.php?tab=AdminFakturownia&amp;id_order={$order->id|intval}&amp;token={getAdminToken tab='AdminFakturownia'}"}

        {if !empty($invoice) && !empty($invoice['external_id']) && empty($invoice['error'])}
            {* An invoice was detected! *}
            <a target="_blank" href="{html_entity_decode($this->getInvoiceUrl($invoice['external_id'])|escape:'htmlall':'UTF-8')}">{l s='show_document_on_account' mod='fakturownia'}</a><br />
            <a target="_blank" href="{html_entity_decode($invoice['view_url']|escape:'htmlall':'UTF-8')}.pdf">{l s='download_pdf' mod='fakturownia'}</a><br />
            <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=remove"
                   onclick="return confirm('{l s='confirm_remove_invoice' mod='fakturownia'}');">{l s='remove_invoice' mod='fakturownia'}</a><br />
            <a target="_blank" href="{html_entity_decode($this->getInvoicesUrl()|escape:'htmlall':'UTF-8')}/new?from={$invoice['external_id']|intval}&amp;kind=correction">{l s='issue_correction_invoice' mod='fakturownia'}</a><br />
        {else}
            {if !empty($invoice) && (empty($invoice['external_id']) || !empty($invoice['error']))}
                {html_entity_decode($this->displayError($invoice['error'])|escape:'htmlall':'UTF-8')}
            {/if}

            {* No invoice detected or error form *}
            {if $VF}
                {* VosFactures version *}
                {l s='no_invoice' mod='fakturownia'}<br />
                {if $order->hasInvoice()}
                    <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue">{l s='issue_invoice' mod='fakturownia'}</a><br />
                {/if}
            {elseif $FT || $BF}
                {if $FT}
                    <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=vat_or_receipt">{l s='issue_vat_or_receipt' mod='fakturownia'}</a><br />
                {/if}
                <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=vat">{l s='issue_vat' mod='fakturownia'}</a><br />
                <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=receipt">{l s='issue_receipt' mod='fakturownia'}</a><br />
                <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=proforma">{l s='issue_proforma' mod='fakturownia'}</a><br />
                {if $FT}
                    <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=estimate">{l s='issue_estimate' mod='fakturownia'}</a><br />
                    <a href="{html_entity_decode($order_url|escape:'htmlall':'UTF-8')}&amp;command=issue&amp;kind=bill">{l s='issue_bill' mod='fakturownia'}</a><br />
                {/if}
            {/if}
        {/if}
    {/if}
</fieldset>
{if $ps_version >= '1.6'}
</div>
{/if}
