{*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Fakturownia.pl
 *  @copyright 2019 Fakturownia.pl
 *  @license   LICENSE.txt
*}
{capture name=path}
	<a href="{html_entity_decode($link->getPageLink('my-account', true)|escape:'html':'UTF-8')}">
		{l s='my_account' mod='fakturownia'}
	</a>
	<span class="navigation-pipe">{html_entity_decode($navigationPipe|escape:'htmlall':'UTF-8')}</span>
	<span class="navigation_page">{l s='my_invoices' mod='fakturownia'}</span>
{/capture}
{include file="$tpl_dir./errors.tpl"}

<h1 class="page-heading bottom-indent">{l s='my_invoices' mod='fakturownia'}</h1>
<p class="info-title">{l s='my_invoices_description' mod='fakturownia'}</p>

<div class="block-center" id="block-history">
	{if !($invoices && count($invoices))}
		<p class="alert alert-warning">{l s='no_invoices_detected' mod='fakturownia'}</p>
	{else}
		<table id="invoice-list" class="table table-bordered footab">
			<thead>
				<tr>
					<th class="first_item" data-sort-ignore="true">{l s='order_reference' mod='fakturownia'}</th>
					<th class="item">{l s='order_placement_date' mod='fakturownia'}</th>
					<th class="item" data-hide="phone">{l s='total_price' mod='fakturownia'}</th>
					<th class="last_item" data-sort-ignore="true" data-hide="phone,tablet">{l s='invoice' mod='fakturownia'}</th>
				</tr>
			</thead>
			<tbody>
				{foreach from=$invoices item=invoice_data name=myLoop}
					<tr class="{if $smarty.foreach.myLoop.first}first_item{elseif $smarty.foreach.myLoop.last}last_item{else}item{/if} {if $smarty.foreach.myLoop.index % 2}alternate_item{/if}">
						<td class="invoice_order_reference bold">{$invoice_data['reference']|escape:'htmlall':'UTF-8'}</td>
						<td class="invoice_date_add bold" data-value="{html_entity_decode($invoice_data['date_add']|regex_replace:"/[\-\:\ ]/":""|escape:'htmlall':'UTF-8')}">
							{dateFormat date=$invoice_data['date_add'] full=0}
						</td>
						<td class="history_price">
							<span class="price">
								{displayPrice price=$invoice_data['total_paid'] currency=$invoice_data['id_currency'] no_utf8=false convert=false}
							</span>
						</td>
						<td class="invoice_view_url">
							<a class="link-button" href="{html_entity_decode($invoice_data['view_url']|escape:'htmlall':'UTF-8')}" title="{l s='invoice' mod='fakturownia'}" target="_blank">
								<i class="icon-file-text large"></i>{l s='PDF' mod='fakturownia'}
							</a>
						</td>
					</tr>
				{/foreach}
			</tbody>
		</table>
	{/if}
</div>

<ul class="footer_links clearfix">
	<li>
		<a class="btn btn-default button button-small" href="{html_entity_decode($link->getPageLink('my-account', true)|escape:'htmlall':'UTF-8')}">
			<span>
				<i class="icon-chevron-left"></i> {l s='back_to_my_account' mod='fakturownia'}
			</span>
		</a>
	</li>
	<li>
		<a class="btn btn-default button button-small" href="{html_entity_decode($base_dir|escape:'htmlall':'UTF-8')}">
			<span><i class="icon-chevron-left"></i> {l s='my_account_home' mod='fakturownia'}</span>
		</a>
	</li>
</ul>
