{*
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Fakturownia.pl
 *  @copyright 2019 Fakturownia.pl
 *  @license   LICENSE.txt
*}
{extends file='customer/page.tpl'}

{block name='page_title'}
  {l s='my_invoices' mod='fakturownia'}
{/block}

{block name="page_content"}
	<h6>{l s='my_invoices_description' mod='fakturownia'}</h6>

	<div class="block-center" id="block-history">
		{if !($invoices && count($invoices))}
			<p class="alert alert-warning">{l s='no_invoices_detected' mod='fakturownia'}</p>
		{else}
			<table id="invoice-list" class="table table-striped table-bordered table-labeled hidden-sm-down">
				<thead class="thead-default">
					<tr>
						<th class="first_item" data-sort-ignore="true">{l s='order_reference' mod='fakturownia'}</th>
						<th class="item">{l s='order_placement_date' mod='fakturownia'}</th>
						<th class="item" data-hide="phone">{l s='total_price' mod='fakturownia'}</th>
						<th class="last_item" data-sort-ignore="true" data-hide="phone,tablet">{l s='invoice' mod='fakturownia'}</th>
					</tr>
				</thead>
				<tbody>
					{foreach from=$invoices item=invoice_data name=myLoop}
						<tr class="{if $smarty.foreach.myLoop.first}first_item{elseif $smarty.foreach.myLoop.last}last_item{else}item{/if} {if $smarty.foreach.myLoop.index % 2}alternate_item{/if}">
							<td class="invoice_order_reference bold">{$invoice_data['reference']|escape:'htmlall':'UTF-8'}</td>
							<td class="invoice_date_add bold" data-value="{html_entity_decode($invoice_data['date_add']|regex_replace:"/[\-\:\ ]/":""|escape:'htmlall':'UTF-8')}">
								{dateFormat date=$invoice_data['date_add'] full=0}
							</td>
							<td class="history_price">
								<span class="price">{$invoice_data['total_paid']|escape:'htmlall':'UTF-8'}</span>
							</td>
							<td class="invoice_view_url">
								<a class="link-button" href="{html_entity_decode($invoice_data['view_url']|escape:'htmlall':'UTF-8')}" title="{l s='invoice' mod='fakturownia'}" target="_blank">
									<i class="material-icons">&#xE415;</i>
								</a>
							</td>
						</tr>
					{/foreach}
				</tbody>
			</table>
		{/if}
	</div>
{/block}
